# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-text_password
Version:			1.1.0
Release:			1.1
Summary:			Creating passwords with PHP
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Text_Password
Source0:			http://pear.php.net/get/Text_Password-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
BuildRequires:	php5-pear

%description
Issword allows one to create pronounceable and unpronounceable
passwords. The full functional range is explained in the manual at
http://pear.php.net/manual/.

Authors:
--------
	Martin Jansen
	Olivier Vanhoucke

%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Text_Password.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Text_Password.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Text_Password
fi

%files
%defattr(-, root, root)
%dir %{peardir}/Text
%dir %{peardir}/tests
%dir %{peardir}/tests/Text_Password
%dir %{peardir}/tests/Text_Password/tests
%{peardir}/Text/Password.php
%{peardir}/tests/Text_Password/tests/Text_Password_Test.php
%{_var}/lib/pear/Text_Password.xml


%changelog
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
